package cn.youle.pet.shop.enums;

/**
 * @projectName: pet-shop
 * @description: 商品种类枚举
 * @author: Administrator
 * @createTime: 2023/9/20 8:40
 */
public enum ENUM_CATEGORY_TYPE {
    ;

    String code;

    String name;

    ENUM_CATEGORY_TYPE(String code,String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static String getNameByCode(String code){
        for (ENUM_CATEGORY_TYPE enumCategoryType : ENUM_CATEGORY_TYPE.values()){
            if(enumCategoryType.getCode().equals(code)){
                return enumCategoryType.getName();
            }
        }
        return null;
    }
}
