package cn.youle.pet.shop.pojo.dto;

import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/15 9:32
 */
@Data
public class AdminsSaveDTO implements Serializable {

    private static final long serialVersionUID = -6626516805635231274L;

    private Long id;

    /**
     * 管理员姓名
     */
    private String name;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 管理员账号
     */
    private String count;

    /**
     * 证件号码
     */
    private String idNo;

    /**
     * 证件类型
     */
    private String idType;

    /**
     * 生日
     */
    private LocalDateTime birthday;

    /**
     * 性别
     */
    private String sex;

    /**
     * 密码
     */
    private String password;

    /**
     * 工号
     */
    private String code;

    /**
     * 微信ID
     */
    private String wechatId;

    /**
     * 所属公司
     */
    private String company;
}
