package cn.youle.pet.shop.pojo.dto.product;

import lombok.Data;

import java.io.Serializable;

/**
 * @projectName: pet-shop
 * @description: 添加商品
 * @author: Administrator
 * @createTime: 2023/9/19 8:54
 */
@Data
public class ProductSaveDTO implements Serializable {

    private static final long serialVersionUID = -1229947645623374823L;

    private Long productId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品种类
     */
    private String type;

    /**
     * 商品图片
     */
    private String url;

    /**
     * 商品价格
     */
    private String price;

    /**
     * 上下架状态
     */
    private String shelf;

    /**
     * 商品毛重
     */
    private String weight;

    /**
     * 产地
     */
    private String madeIn;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 尺寸
     */
    private String size;

    /**
     * 颜色
     */
    private String color;

    /**
     * 生产厂商
     */
    private String manufacturer;

    /**
     * 卖家ID
     */
    private String saleId;

    /**
     * 数量
     */
    private String count;

    /**
     * 规格
     */
    private String specifications;

    /**
     * 商品风格
     */
    private String style;
}
