package cn.youle.pet.shop.enums;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/20 8:43
 */
public enum ENUM_ORDER_STATUS {
    COMPLETE("COMPLETE","已完成","PAYING"),
    PAYING("PAYING","待付款","PAYED"),
    PAYED("PAYED","已付款","SHIPPING"),
    SHIPPING("SHIPPING","待发货","SHIPPED"),
    SHIPPED("SHIPPED","已发货","RECEIVING"),
    RECEIVING("RECEIVING","待收货","RECEIVED"),
    RECEIVED("RECEIVED","已收货","EVALUATING"),
    EVALUATING("EVALUATING","待评价","EVALUATED"),
    EVALUATED("EVALUATED","已评价",""),
    CANCELING("CANCELING","待取消","CANCELED"),
    CANCELED("CANCELED","已取消",""),
    REFUNDING("REFUNDING","待退款","REFUNDED"),
    REFUNDED("REFUNDED","已退款","");

    String value;

    String name;

    String nextStatus;

    ENUM_ORDER_STATUS(String value,String name,String nextStatus){
        this.value = value;
        this.name = name;
        this.nextStatus = nextStatus;
    }

    public static String getNextStatus(String status){
        for (ENUM_ORDER_STATUS enumOrderStatus : ENUM_ORDER_STATUS.values()){
            if(enumOrderStatus.getValue().equals(status)){
                return enumOrderStatus.getNextStatus();
            }
        }
        return null;
    }

    public String getValue() {
        return value;
    }

    public String getName() {
        return name;
    }

    public String getNextStatus() {
        return nextStatus;
    }
}
