package cn.youle.pet.shop.pojo.vo.product;

import lombok.Data;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/19 17:41
 */
@Data
public class ProductDetailVO {

    private Long id;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品种类
     */
    private String category;

    /**
     * 商品图片
     */
    private String url;

    /**
     * 商品价格
     */
    private String price;

    /**
     * 上下架状态
     */
    private String shelf;

    /**
     * 商品毛重
     */
    private String weight;

    /**
     * 产地
     */
    private String madeIn;

    /**
     * 品牌
     */
    private String brand;

    /**
     * 尺寸
     */
    private String size;

    /**
     * 颜色
     */
    private String color;

    /**
     * 生产厂商
     */
    private String manufacturer;

    /**
     * 卖家ID
     */
    private String saleId;

    /**
     * 数量
     */
    private String count;

    /**
     * 规格
     */
    private String specifications;
}
