package cn.youle.pet.shop.service;

import cn.youle.pet.shop.pojo.dto.UploadDTO;
import org.springframework.core.io.InputStreamResource;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @projectName: pet-shop
 * @description:
 * @author: Administrator
 * @createTime: 2023/9/20 9:07
 */
public interface ICommonService {

    /**
     * 文件上传
     *
     * @param uploadDTO
     * @return
     */
    String upload(MultipartFile file);

    /**
     * 下载文件
     *
     * @param filePath
     */
    InputStreamResource download(String filePath);
}
