package cn.youle.pet.shop.utils;

import lombok.extern.slf4j.Slf4j;

import java.util.Random;

/**
 * @projectName: pet-shop
 * @description: 生成验证码工具类
 * @author: Administrator
 * @createTime: 2023/9/18 14:13
 */
@Slf4j
public class VerifyCodeUtils {

    public static String createVerifyCode(){
        log.info("开始生成验证码");
        Random random = new Random();
        int code = random.nextInt(900000) + 100000;
        log.info("生成的验证码是:{}",code);
        return String.valueOf(code).substring(0,6);
    }

    public static void main(String[] args) {
        String verifyCode = createVerifyCode();
        log.info("获得返回的验证码:{}",verifyCode);
    }
}
